| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwgencode.cpp File Reference

Library routines to read and write genetic codes. More...

`#include "rwgencode.h"`
`#include "rwstar.h"`
`#include "mol_tags.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
Bstring | read_gencode_star (Bstring &propfile)
Bstring | get_genetic_code (Bstring &filename)
| Gets the genetic code from a parameter file. More...
int | write_genetic_code (Bstring &filename, Bstring &gc)
| Writing genetic code. More...
int | index_from_codon (const char codon[3])
| Gets the index associated with a specific codon. More...

## Variables
int | verbose

## Detailed Description

Library routines to read and write genetic codes.

Author
  Bernard Heymann

Date
  Created: 20030316
  Modified: 20080924

Definition in file rwgencode.cpp.

## Function Documentation

## ◆ get_genetic_code()

Bstring get_genetic_code | ( | Bstring & | filename | ) |

Gets the genetic code from a parameter file.

Parameters

  &filename | file name (if empty, use a default file).

Returns
  Bstring 64 character array of residues (+1 0 termination character).

Definition at line 26 of file rwgencode.cpp.

## ◆ index_from_codon()

int index_from_codon | ( | const char | codon[3] | ) |

Gets the index associated with a specific codon.

Parameters

  *codon | the codon.

Returns
  int index.

Definition at line 112 of file rwgencode.cpp.

## ◆ read_gencode_star()

Bstring read_gencode_star | ( | Bstring & | propfile | ) |

Definition at line 67 of file rwgencode.cpp.

## ◆ write_genetic_code()

int write_genetic_code | ( | Bstring & | filename,
|  | Bstring & | gc
| ) |  |

Writing genetic code.

Parameters

  &filename | file name.
  &gc | 64-byte string with the genetic code.

Returns
  int 0.

Definition at line 61 of file rwgencode.cpp.

## Variable Documentation

## ◆ verbose

int verbose